
import request from '@/utils/request'
// import { merge } from 'lodash'

// 列表搜索参数
export const MANU_ORDER_QUERY = {
    custName: null, // 客人名称
    custNum: null, // 客人款号
    facId: null, // 生产工厂
    styleNum: null, // 工厂款号
    manuNum: null, // 指令号
    beginDate: null, // 开始：工厂交期
    endDate: null, // 结束：工厂交期
    status: null, // 状态：0-生产 1-完成
    createBy: null, // 创建人
    createTime: null, // 创建时间
    pageNum: 1, // 页面索引
    pageSize: 15 // 分页数量
}

/**
 * 查询订单进度
 * @permi manu:ord:list
 * @param {MANU_ORDER_QUERY} query 查询条件
 * @returns {Object}
 */
export function listManuOrder(query) {
    return request({
        url: '/manu/sched/list',
        method: 'get',
        params: merge({}, MANU_ORDER_QUERY, query)
    })
};

/**
 * 下载导入模板（指令单排程）
 * @permi ['manu:sched:add'] 导入所需权限
 * @param 
 * @returns 
 */
export function downloadTemplate() {
    return request({
        url: '/manu/sched/download_template',
        method: 'get'
    })
};

